Jonas,

> This avoids the loop more elegantly than by chasing specific versions of 
> specific implementations all over (as you did after posting above):
>
>  libjack-dev (>= 0.118~) | libjack-dev,
>  libjack-dev-session
>
> Notice the peculiar double dependency on same package twice in first of the 
> lines.
> The trick is that a versioned dependency is only satisfied by a real package.
> So above means "Try first to install the real package" and "the version of 
> the package
> tried must provide session feature".

it was not the solution:

I: Installing the build-deps
 -> Attempting to parse the build-deps
 -> Considering build-depdebhelper (>= 7.0.50~)
   -> Trying to add debhelper
 -> Considering build-dep libqt4-dev
   -> Trying to add libqt4-dev
 -> Considering build-dep libtool
   -> Trying to add libtool
 -> Considering build-dep automake
   -> Trying to add automake
 -> Considering build-dep libasound2-dev
   -> Trying to add libasound2-dev
 -> Considering build-dep libjack-dev (>= 0.118~) | libjack-dev
   -> Trying to add libjack-dev
 -> Considering build-dep libjack-dev-session
   -> Trying to add libjack-dev-session
   -> Loop detected, last APT error was: ======
Reading package lists...
Building dependency tree...
Reading state information...
Package libjack-dev-session is a virtual package provided by:
E: Package 'libjack-dev-session' has no installation candidate
   -> =========================================
   -> (not adding  to libjack-dev-session)
       -> Cannot install libjack-dev-session; apt errors follow:
Reading package lists...
Building dependency tree...
Reading state information...
Package libjack-dev-session is a virtual package provided by:
E: Package 'libjack-dev-session' has no installation candidate
     -> Considering libjack-dev to satisfy the dependency



-- 
Alessio Treglia          | www.alessiotreglia.com
Debian Developer         | ales...@debian.org
Ubuntu Core Developer    | quadris...@ubuntu.com
0FEC 59A5 E18E E04F 6D40 593B 45D4 8C7C DCFC 3FD0

Attachment: signature.asc
Description: PGP signature

_______________________________________________
pkg-multimedia-maintainers mailing list
pkg-multimedia-maintainers@lists.alioth.debian.org
http://lists.alioth.debian.org/mailman/listinfo/pkg-multimedia-maintainers

Reply via email to